### Method

# Gio SettingsBackend writable_changed

since: 2.26

#### Declaration

    void
    g_settings_backend_writable_changed (
      GSettingsBackend* backend,
      const gchar* key
    )

#### Description

Signals that the writability of a single key has possibly changed.

Since GSettings performs no locking operations for itself, this call will always be made in response to external events.

Available since: 2.26

#### Parameters

`key`

  Type: `const gchar*`

  The name of the key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.